/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../styles/plateg-variables.less';

.custom-datepicker-holder {
  .ant-dropdown-menu-item-active,
  .ant-dropdown-menu-item-active:hover {
    background: none !important;
    button {
      outline: none;
    }
  }
}
.custom-calendar-header {
  overflow: hidden;
  .left-buttons {
    float: left;
  }
  .right-buttons {
    float: right;
  }
  .date-span-div {
    margin: 3px auto 0;
    text-align: center;
  }
  .ant-btn {
    vertical-align: top;
    &.btn-month {
      padding: 5px;
      svg {
        height: 13px;
      }
    }
  }
  .selected-date {
    font-size: 0;
    line-height: 0;
    width: 0;
    height: 0;
  }
}

.ant-picker-cell-in-view.ant-picker-cell-selected .ant-picker-cell-inner {
  background-color: @platform-blue1;
}
.ant-picker-cell-in-view.ant-picker-cell-today .ant-picker-cell-inner::before {
  border-color: @platform-blue1;
}
.calendar-close {
  background-color: @platform-btn-primary-color;
  border: 1px solid #f0f0f0;
  text-align: center;
  padding: 10px;
}
.ant-picker-panel:focus {
  box-shadow: 0px 0px 0px 4px blue;
}
.ant-picker-cell-inner .picker-underline {
  border-bottom: 1px solid #000;
  width: 20px;
  margin: auto;
}
